Batch

Bulk-create plots in GeoJSON format.

post

Create multiple plots from a GeoJSON FeatureCollection.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
acceptstring · enumOptional

Specify the response format. Defaults to application/json.

Possible values:
Body
typestringRequired

The type of the geojson object. Always 'FeatureCollection'

Example: FeatureCollection
Responses
chevron-right
201

All created plots

idstringRequired

id of this entity

Example: 02c36247-1aad-41ba-aa49-f114ca4c263f
createdAtstringRequired

ISO 8601

Example: 2023-07-26T15:03:48Z
updatedAtstringRequired

ISO 8601

Example: 2023-07-28T09:13:37Z
geometryone ofRequired

The geometry of the plot.

or
namestringRequired

Free text name of the plot. Useful for easily finding and identifying the plot as an enduser.

surfaceAreanumberRequired

Surface area in square meters

countryCodestringRequired

ISO 3166-1 alpha-2 country code of where the plot is located

riskAssessmentStatusstring · enumOptional

The risk assessment status of this plot set by your business

Possible values:
riskLevelstring · enum · nullableOptional

The risk level of deforestation in this plot. IMPORTANT: only set when 'riskLevel' is provided in 'includes'. If no analysis on this plot is available yet, this property may be null.

Possible values:
filenameobject · nullableOptional

Filename of the plot. Useful to know where is the Plot coming from on batch create.

descriptionstring · nullableOptional

Free text descrption of the plot. Useful for to keep human friendly Plot names.

ownerIdstringOptional

The id of the owning business. May be undefined for supplier masking.

customDataobjectOptional

A customizable metadata field for storing additional information related to a plot in TradeAware. This field allows customers to associate their own identifiers or data with TradeAware's system.

  The `customData` field is returned unchanged and is visible only to the owners of the plot.

  Constraints:
    - Up to 10 keys per object
    - Key length: Maximum 255 characters
    - String value length: Maximum 255 characters
    - Values must be of type: string, number, or boolean
    - Nested objects are not allowed
    - Keys cannot contain: '__proto__', 'constructor', or 'prototype'
Example: {"key1":"someValue","key2":true,"key3":1234}
post
/plots/batch/geojson
  • Bulk-creates multiple plots of possibly different commodities

  • Accepts GeoJSON payload conforming to a GeoJSON FeatureCollectionarrow-up-right

  • Response format can be set with Accept header to either application/json (default) or application/geo+json for GeoJSON format

  • Does not support partial failures ( if one plot does not pass validation, none of the plots will be created)

Deprecated

Bulk-create plots.

post

Create multiple plots that share the same commodities. The plots will be owned by your business. This endpoint is deprecated. Please use the POST /plots/batch/geojson endpoint instead.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
filenamestringOptional

Filename used to upload Plots in batch.

Responses
chevron-right
201Success
application/json
statusstringRequired

It describes the overall result of the batch operation.

Example: PARTIAL_FAILURE
errorsobjectRequired

Index and error detail for failed Plots.

Example: {"some_index_0":"some detailed error"}
processedobjectRequired

Index and endpoints for Plots processed successfully.

Example: {"some_index_0":"/plots/123"}
post
/plots/batch
  • This endpoint is Deprecated. Please use POST /plots/batch/geojson instead.

  • Bulk-creates multiple plots sharing the same commodities

  • Accepts JSON payloads

  • Returns a json object with success/failure status

  • Supports partial failures (meaning some plots succeed while others might fail)

Last updated